# Game Collection API

Dies ist ein Backend mit Flask, das eine Sammlung von Spielen verwaltet und eine SQLite-Datenbank verwendet.

## Endpunkte

### 1. Spiele hinzufügen

- **URL:** `/games`
- **Method:** `POST`
- **Body:**
  ```json
  {
      "image": "URL zum Bild",
      "title": "Titel des Spiels",
      "date": "Kaufdatum (YYYY-MM-DD)",
      "buyer": "Name des Käufers",
      "owned": true/false
  }
  ```
- **Antwort:**
  - **Status 201:** Spiel erfolgreich hinzugefügt.
  - **Beispiel:**
    ```json
    {
        "message": "Game added!"
    }
    ```

### 2. Alle Spiele abrufen

- **URL:** `/games`
- **Method:** `GET`
- **Antwort:**
  - **Status 200:** Liste aller Spiele.
  - **Beispiel:**
    ```json
    [
        {
            "id": 1,
            "image": "URL zum Bild",
            "title": "Titel des Spiels",
            "date": "Kaufdatum",
            "buyer": "Name des Käufers",
            "owned": true
        },
        ...
    ]
    ```

## Installation

1. Klone das Repository.
2. Installiere die Abhängigkeiten:
   ```bash
   pip install -r requirements.txt
   ```
3. Starte die Anwendung:
   ```bash
   python app.py
   ```

## Lizenz

Dieses Projekt ist lizenziert unter der MIT-Lizenz.
